
Figure - Bug #118073
【IOVDEV-29245】【内部】【VC1】【0095】【实车】【EE环境】【副屏】【音频播放器】小窗模式收藏歌
曲前后播放列表显示不一致
2023-05-18 19:50 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-18

Priority: Normal Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 90%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 【中控版本号】：03.02.0080.x101����【副屏版本号】：01.00.0095.c103

Resolution: FIXED Degrated: No

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-20

Test Type: ST Root cause: AOSP问题

Description

【环境信息】EE环境

【问题出现时间】：20230518 16:59

【前提条件】：副屏上电

【操作步骤】

1.音频播放器小窗模式，查看播放列表，

2.点击收藏歌曲后再查看播放列表

【实际结果】

1.播放列表排列成同一排

2.收藏列表有歌曲后，列表会显示成两排

【期望结果】

1.收藏歌曲不影响播放列表的显示

【应用版本】：

【VIN号】：LJD8BB3F0P0000341

【中控版本号】：03.02.0080.x101

【副屏版本号】：01.00.0095.c103

History

#1 - 2023-05-18 19:50 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_118073

#2 - 2023-05-19 14:10 - CD APP-王营

- Status changed from New to RESOLVED

- Assignee changed from CD APP-王营 to CDTS_Test 吴诗雨

- % Done changed from 0 to 90
- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-05-20

- Root cause set to AOSP问题

【当前状态】

已解决，使用5-20或以后的版本验证

【分析】

Music应用在代码中做了处理，onConfigRation中进行处理，横屏模式显示三列数据，竖屏模式显示两列数据，全屏模式和小窗模式切换的时候此方法不

会调用，所以需要在onMultiWindowChange方法中动态设置GridView的列数。

【提交】

https://dev.thundercomm.com/gerrit/c/general/platform/packages/apps/SnapdragonMusic/+/201310

#3 - 2023-05-23 19:23 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#4 - 2023-05-23 19:23 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

#5 - 2023-05-31 14:19 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

201310 general/platform/packages/apps/Snapd

ragonMusic

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

ying.wang@thundersoft.com

AF: SnapdragonMusic: Fix playlist grid view number columnTC-RID: 0301-0301201IssueID: TS-R-BUG-118073Change-Id:

If05b63c35993f79a97800446d0a317d8a0fb0892

Files

音频播放器-收藏歌曲.mp4 8.25 MB 2023-05-18 CDTS_Test 吴诗雨
